Tspi_Key_GetPubKey(3)

TCG Software Stack Developer's Reference

NAME
Tspi_Key_GetPubKey - get the public key of an object

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Key_GetPubKey(TSS_HKEY hKey, UINT32* pulPubKeyLength, BYTE** prgbPubKey);

DESCRIPTION

Tspi_Key_GetPubKey gets the public portion of a given key object.

PARAMETERS

  hKey
The hKey parameter is the handle of the key object to unload.

  pulPubKeyLength
The pulPubKeyLength parameter receives the length in bytes of the prgbPubKey parameter.

  prgbPubKey
The prgbPubKey parameter receives a pointer to the memory block containing the public key blob retrieved for the key object referenced by hKey.

RETURN CODES

Tspi_Key_GetPubKey returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hKey is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

CONFORMING TO

Tspi_Key_GetPubKey conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Key_LoadKey(3), Tspi_Key_UnloadKey(3), Tspi_Key_CertifyKey(3).